<?php
function create_event_post_type()
{
    register_post_type('event',
        array(
            'labels' => array(
                'name' => __('Events'),
                'singular_name' => __('event')
            ),
            'public' => true,
            'has_archive' => true,
            'rewrite' => array('slug' => 'event'),
            'supports' => array('title','editor', 'thumbnail')
        )
    );
}

add_action('init', 'create_event_post_type');
/*register_taxonomy('notice_categories', array('notice'), array(
        'hierarchical' => true,
        'label' => 'Notice & Noc Type',
        'singular_label' => 'Notice & Noc Type',
        'rewrite' => array('slug' => 'notice_categories', 'with_front' => false)
    )
);
register_taxonomy_for_object_type('notice_categories', 'notice');*/